Retrieves timesheets for the specified business which manager can access

Request

GET http:///api/v2/business/{businessId}/manager/timesheet

Path parameters

Parameter name Value Description Additional
businessId string Required

Query parameters

Parameter name Value Description Additional
FromDate date-time
ToDate date-time
Status string

Possible values are:

  • Any
  • Submitted
  • Approved
  • Rejected
  • Processed
  • AnyExceptRejected
EmployeeId int32
EmployeeGroupId int32
LocationId int32
IncludeCosts boolean
EHSubordinateType string

Possible values are:

  • All
  • Direct
  • Indirect
CurrentPage int32
PageSize int32
OrderBy string

Possible values are:

  • Location
  • WorkType
  • Employee
  • Date
  • DefaultLocation
  • PaySchedule

Response

The following HTTP status codes may be returned, optionally with a response resource.

Status code Description Resource
200 OK

OK

PagedResultModel<ManagerTimesheetLineModel>